<div class="row">
  <div class="col-sm">
    <div class="card">
      <div class="card-header">
        <div class="card-title">
          <div class="row">
            <div class="col-sm margin-top-bottom-auto">
             <span class="h4">
                  <i class="fas fa fa-users"></i>&nbsp; Customers
              </span>
            </div>
            <div class="col-sm">
              <div class="float-right">
                <app-search-box (searchChange)="onSearchChanged($event)"
                                placeholder="Search For Customer(s): "></app-search-box>
                <button
                  placement="top"
                  ngbTooltip="Refresh Customers"
                  class="btn btn-neutral btn-round" (click)="refresh()">
                  <i class="fas fa fa-sync"></i>
                  Refresh
                </button>
              </div>
            </div>
          </div>

        </div>
      </div>
      <div class="card-body overflow-scroll">
        <table id="dataTable" class="table table-striped table-bordered">
          <thead>
          <tr>
            <th (click)="sortData(head)" [class.cursor]="head.sortable" *ngFor="let head of headers">{{ head.title }}
              <i *ngIf="head.sortable" [className]="head.sortIcon"></i>
            </th>
          </tr>
          </thead>
          <tbody>
          <tr *ngIf="!rows || rows.length == 0 && !isLoading">
            <td [colSpan]="headers.length" class="text-center">No Data Found.</td>
          </tr>
          <tr *ngFor="let row of rows">
            <td>{{row.fullName}}</td>
            <td>{{row.email}}</td>
            <td>{{row.phoneNumber}}</td>
            <td>
              <!--              <i class="fas fa-user"></i>&nbsp;-->
              <span [innerHTML]="row.isEnabled | boolToLabel"></span>
              <!--              |-->
              <!--              <i class="fas fa-envelope"></i>&nbsp;-->
              <!--              <span [innerHTML]="row.isVerified | boolToLabel"></span>-->
            </td>
            <td>
              <a (click)="viewDetail(row)" class="text-primary cursor"
                 placement="top"
                 ngbTooltip="View Customer Details"><i
                class="fa fa-eye"></i></a>
              &nbsp;
              <a *ngIf="!row.isEnabled" (click)="unBlockCustomer(row)" href="javascript:void(0)"
                 class="text-warning cursor"
                 placement="top"
                 ngbTooltip="Enable Customer"
              ><i
                class="fa fa-unlock"></i></a>
              <a *ngIf="row.isEnabled" (click)="blockCustomer(row)" href="javascript:void(0)"
                 class="text-danger cursor" placement="top"
                 ngbTooltip="Disable Customer"
              ><i class="fa fa-lock"></i></a>
            </td>
          </tr>
          </tbody>
        </table>
        <div class="row">
          <div class="col-sm">
            <ngb-pagination [pageSize]="10" [collectionSize]="totalPage" (pageChange)="changePage($event)"
                            [(page)]="page" [maxSize]="3" [boundaryLinks]="true"></ngb-pagination>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
